package com.ippon.article.couchbase.server.article;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ArticleController {

    private ArticleRepository repository;

    public ArticleController(ArticleRepository repository) {
        this.repository = repository;
    }

    @PostMapping("/article")
    public ResponseEntity<Article> saveArticle(@RequestBody Article article) {
        Article saved = repository.save(article);
        return new ResponseEntity<>(saved, HttpStatus.OK);
    }
}
